# JSDoc: Namespace: base64

# Namespace: base64

## base64

Base64 code from http://stackoverflow.com/questions/3774622/how-to-base64-encode-inside-of-javascript/3774662#3774662

Source:
  - encode/base64.js, line 11

### Methods

#### (static) decode(input) → {string}

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | string |

Source:
  - encode/base64.js, line 65

##### Returns:

Type
  string

#### (static) encode(input) → {string}

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | string |

Source:
  - encode/base64.js, line 23

##### Returns:

Type
  string

#### (static) utf8_decode(utftext) → {string}

##### Parameters:

Name | Type | Description
--- | --- | ---
`utftext` | string |

Source:
  - encode/base64.js, line 140

##### Returns:

Type
  string

#### (static) utf8_encode(string) → {string}

##### Parameters:

Name | Type | Description
--- | --- | ---
`string` | string |

Source:
  - encode/base64.js, line 110

##### Returns:

Type
  string